Foxit PDF Conversion SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFConversionSDKPython3.Range Class Reference
Inheritance diagram for FoxitPDFConversionSDKPython3.Range:

## Public Member Functions
def | Range ()
| Constructor. More...
def | AddSegment (start_index, end_index, filter)
| Add a new range segment. (Reverse ordering is legal.) More...
def | AddSingle (index)
| Add an index as a new range segment. More...
def | GetSegmentCount ()
| Get the count of range segments. More...
def | GetSegmentEnd (segment_index)
| Get the end index of a specified range segment. More...
def | GetSegmentStart (segment_index)
| Get the start index of a specified range segment. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RemoveAll ()
| Remove all range segments. More...

## Static Public Attributes
| e_All = _fpdfconversionsdk.Range_e_All
| All the indexes within a range will be used.
| e_Even = _fpdfconversionsdk.Range_e_Even
| Only even numbers in a range will be used (discards odd numbers).
| e_Odd = _fpdfconversionsdk.Range_e_Odd
| Only odd numbers in a range will be used (discards even numbers).

## Detailed Description

This class represents index range. Here, a range consists of one or more segments and each segment consists of one single index or a group of consecutive indexes.
For some special case, such as used in FoxitPDFConversionSDKPython3.PDF2OfficeSettingData , index values specified in this range represent page numbers directly instead of page indexes.

See also
  FoxitPDFConversionSDKPython3.PDF2OfficeSettingData

## Constructor & Destructor Documentation

## ◆ Range()

def FoxitPDFConversionSDKPython3.Range.Range | ( |  | ) |

Constructor.

Constructor, with another range object.

Constructor, with a specified index range.

Constructor, with a single index.

Parameters

  [in] | index | A single index.
  [in] | start_index | The start index of a range segment.
  [in] | end_index | The end index of a range segment.
  [in] | filter | Filter type to decide which indexes of this range would be used. Please refer to values starting from FoxitPDFConversionSDKPython3.Range.e_All and this should be one of these values. Default value: FoxitPDFConversionSDKPython3.Range.e_All . Specially, when this value is FoxitPDFConversionSDKPython3.Range.e_Even or FoxitPDFConversionSDKPython3.Range.e_Odd , that means each even or odd number within the specified range segment will be treated as a single segment.
  [in] | other | Another range object.

## Member Function Documentation

## ◆ AddSegment()

def FoxitPDFConversionSDKPython3.Range.AddSegment | ( |  | start_index,
|  |  | end_index,
|  |  | filter
| ) |  |

Add a new range segment. (Reverse ordering is legal.)

Parameters

  [in] | start_index | The start index of a new range segment.
  [in] | end_index | The end index of a new range segment.
  [in] | filter | Filter type to decide which indexes of this range would be used. Please refer to values starting from FoxitPDFConversionSDKPython3.Range.e_All and this should be one of these values. Default value: FoxitPDFConversionSDKPython3.Range.e_All . Specially, when this value is FoxitPDFConversionSDKPython3.Range.e_Even or FoxitPDFConversionSDKPython3.Range.e_Odd , that means each even or odd number within the specified range segment will be treated as a single segment.

Returns
  None.

## ◆ AddSingle()

def FoxitPDFConversionSDKPython3.Range.AddSingle | ( |  | index | ) |

Add an index as a new range segment.

Parameters

  [in] | index | An index to be added as a new range segment.

## ◆ GetSegmentCount()

def FoxitPDFConversionSDKPython3.Range.GetSegmentCount | ( |  | ) |

Get the count of range segments.

Returns
  The count of range segments.

## ◆ GetSegmentEnd()

def FoxitPDFConversionSDKPython3.Range.GetSegmentEnd | ( |  | segment_index | ) |

Get the end index of a specified range segment.

Parameters

  [in] | segment_index | The segment index. Valid range: 0 to (count-1). count is returned by function FoxitPDFConversionSDKPython3.Range.GetSegmentCount .

Returns
  The end index of a specified range segment.

## ◆ GetSegmentStart()

def FoxitPDFConversionSDKPython3.Range.GetSegmentStart | ( |  | segment_index | ) |

Get the start index of a specified range segment.

Parameters

  [in] | segment_index | The segment index. Valid range: 0 to (count-1). count is returned by function FoxitPDFConversionSDKPython3.Range.GetSegmentCount .

Returns
  The start index of a specified range segment.

## ◆ IsEmpty()

def FoxitPDFConversionSDKPython3.Range.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveAll()

def FoxitPDFConversionSDKPython3.Range.RemoveAll | ( |  | ) |

Remove all range segments.

Returns
  None.